Mint (or revoke) the public share link for a finished run
POST
/v1/audits/{id}/share
const url = 'https://api.monita.ai/v1/audits/example/share';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"revoke":false}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.monita.ai/v1/audits/example/share \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "revoke": false }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
revoke
boolean
Responses
Section titled “Responses”OK
Media typeapplication/json
object
url
required
string
Examplegenerated
{ "url": "example"}Not found
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}Run not finished
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}